cc.Class({
    extends: cc.Component,

    properties: {
        pressedScale: 0.85,
        time: 0.1,
    },

    // use this for initialization
    onLoad: function () {
        var self = this;
        this.initScale = this.node.scale;
        this.downAction = cc.scaleTo(this.time, this.pressedScale);
        this.upAction = cc.scaleTo(this.time, this.initScale);
        // 'touchstart'
        this.node.on(cc.Node.EventType.TOUCH_START, function () {
            this.stopAllActions();
            this.runAction(self.downAction);
            return true;
        }, this.node);
        //'touchend'
        this.node.on(cc.Node.EventType.TOUCH_END, function () {
            this.stopAllActions();
            this.runAction(self.upAction);
        }, this.node);
        //'touchcancel'
        this.node.on(cc.Node.EventType.TOUCH_CANCEL, function () {
            this.stopAllActions();
            this.runAction(self.upAction);
        }, this.node);
        this.node.on(cc.Node.EventType.TOUCH_MOVE, function () {
        }, this.node);
    },
});
